Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.search.backend.impl.blackhole
Class BlackHoleBackendQueueProcessorFactory

    java.lang.Object
      org.hibernate.search.backend.impl.blackhole.BlackHoleBackendQueueProcessorFactory

All Implemented Interfaces:
  BackendQueueProcessorFactory

    public class BlackHoleBackendQueueProcessorFactory

extends java.lang.Object
implements BackendQueueProcessorFactory

This backend does not do anything: the Documents are not sent to any index but are discarded. Useful to identify the bottleneck in indexing performance problems, fully disabling the backend system but still building the Documents needed to update an index (loading data from DB).

Author:
  Sanne Grinovero

Constructor Summary
`BlackHoleBackendQueueProcessorFactory()`

Method Summary
`void` | `close()` Used to shutdown and eventually release resources.
`java.lang.Runnable` | `getProcessor(java.util.List<LuceneWork> queue)` Return a runnable implementation responsible for processing the queue to a given backend.
`void` | `initialize(java.util.Properties props, SearchFactoryImplementor searchFactory)` Used at startup, called once as first method.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BlackHoleBackendQueueProcessorFactory

    public BlackHoleBackendQueueProcessorFactory()

Method Detail

### getProcessor

    public java.lang.Runnable getProcessor(java.util.List<LuceneWork> queue)

  Description copied from interface: `BackendQueueProcessorFactory`
  Return a runnable implementation responsible for processing the queue to a given backend.

  Specified by:
    `getProcessor` in interface `BackendQueueProcessorFactory`
  Parameters:
    `queue` - The work queue to process.
  Returns:
    `Runnable` which processes `queue` when started.

### initialize

    public void initialize(java.util.Properties props,
                           SearchFactoryImplementor searchFactory)

  Description copied from interface: `BackendQueueProcessorFactory`
  Used at startup, called once as first method.

  Specified by:
    `initialize` in interface `BackendQueueProcessorFactory`
  Parameters:
    `props` - all configuration properties
    `searchFactory` - the client

### close

    public void close()

  Description copied from interface: `BackendQueueProcessorFactory`
  Used to shutdown and eventually release resources. No other method should be used after this one.

  Specified by:
    `close` in interface `BackendQueueProcessorFactory`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2010 Hibernate. All Rights Reserved.